Subject: Re: [bitcoin-dev] Bitcoin Core and hard forks

From: Eric Lombrozo <[email-masked]>
Date: Thu, 23 Jul 2015 10:43:06 -0700

> On Jul 23, 2015, at 9:28 AM, Gavin Andresen via bitcoin-dev <[email-masked]> wrote:
> 
> I'd really like to move from "IMPOSSIBLE because...  (electrum hasn't been optimized
> (by the way: you should run on SSDs, LevelDB isn't designed for spinning disks),
> what if the network is attacked?  (attacked HOW???), current p2p network is using
> the simplest, stupidest possible block propagation algorithm...)"
> 
> ... to "lets work together and work through the problems and scale it up."

Let’s be absolutely clear about one thing - block size increases are *not* about scaling the network. Can we please stop promoting this falsehood? It doesn’t matter by what number we multiply the block size…we can NEVER satisfy the full demand if we insist on every single transaction from every single person everywhere in the world being on the blockchain…it’s just absurd.

Increasing block size only temporarily addresses one significant issue - how to postpone having to deal with transaction fees, which by design, are how the cost of operating the Bitcoin network (which is already very expensive) is supposed to be paid for ultimately. Suggesting we avoid dealing with this constitutes a new economic policy - dealing with it is the default economic policy we’ve all known about from the beginning…so please stop claiming otherwise.

> On Jul 23, 2015, at 9:50 AM, cipher anthem via bitcoin-dev <[email-masked]> wrote:
> 
> Why not help on a project that actually seems to offer great scalability like the lightning network? There have been great progress there.

Exactly. There’s been tremendous progress here in addressing scalability, yet I don’t see you participating in that discussion, Gavin.

> On Jul 23, 2015, at 5:17 AM, Jorge Timón via bitcoin-dev <[email-masked]> wrote:
> 
> But it seems to me that the "not now side" has no centralization
> concerns at all and their true position is "not ever hit the blocksize
> limit", that's the only explanation I can find to their lack of
> answers to the "when do you think we should allow users to notice that
> there's a limit in the blocksize to guarantee that the system can be
> decentralized?".

I agree with what you’re saying, Jorge…but It’s even worse than that. The July 4th fork illustrated that the security model of the network itself could be at risk from the increasing costs in validation causing people to rely on others to validate for them…and increasing block size only makes the problem worse.

- Eric Lombrozo